Subject: bug#36339: closed (Re: bug#36339: generated .pc files leaks build-time LDFLAGS)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Jul 2019 13:10:02 +0000

Your bug report

#36339: generated .pc files leaks build-time LDFLAGS

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36339: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36339
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36339: generated .pc files leaks build-time LDFLAGS
From: Ludovic Courtès <[email-masked]>
To: Cyprien Nicolas <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Jul 2019 15:09:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Cyprien,

Cyprien Nicolas <[email-masked]> skribis:

> On 24/06/2019 15:17, Ludovic Courtès wrote:
>>
>> I believe the attached patch should fix it.  Could you confirm?
>
> Yes it does, tested on 2.2.6 and 2.9.2. All arch-dependent binaries have
> been built with the right LDFLAGS, and the pkgconfig file looks clean.

Awesome.  Pushed as a69b567d97f7c9193924c775e1dd86e43a35b8bd to the
‘stable-2.2’ branch.

Thanks!

Ludo’.

Subject: generated .pc files leaks build-time LDFLAGS
From: Cyprien Nicolas <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jun 2019 11:19:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

According to the pkgconfig generated files, Libs.private contains the 
build-time LDFLAGS (-Wl,-O1 -Wl,--as-needed).

These flags are private to the way I built guile, and should not affect 
packages using guile later.

I have observed this behavior in guile-2.0, 2.2.5 and 2.9.2.

-----8<-----8<-----8<-----8<-----8<-----
Name: GNU Guile
Description: GNU's Ubiquitous Intelligent Language for Extension
Version: 2.0.14
Libs: -L${libdir} -lguile-2.0 -lgc
Libs.private:  -lgmp -lltdl -L/usr/lib64/../lib64 -lffi	\
   -lunistring -Wl,-O1 -Wl,--as-needed  -lcrypt  -lm   		\
      		\

Cflags: -I${pkgincludedir}/2.0 -pthread
----->8----->8----->8----->8----->8-----

Gentoo Bug: https://bugs.gentoo.org/590904
The (1) part seems resolved somehow.

Thanks,
Cyprien